Skip to content
Select themeSelect language

`POST /api/prompt-assist/{action}` — run a PromptComposer assist action (e.g. expand / clarify / structure) over the supplied input text.

POST
/api/prompt-assist/{action}
curl --request POST \
--url https://example.com/api/prompt-assist/example \
--header 'Content-Type: application/json' \
--data '{ "input": "example" }'
action
required
string
Media typeapplication/json
object
input
required
string
Examplegenerated
{
"input": "example"
}
Media typeapplication/json
object
accepted
required
boolean
action
required
string
created_at
required
string format: date-time
estimated_cost
number | null format: double
id
required
string format: uuid
input_text_redacted
string | null
model
string | null
output_text_redacted
string | null
task_id
string | null format: uuid
user_id
required
string format: uuid
workspace_id
required
string format: uuid
Examplegenerated
{
"accepted": true,
"action": "example",
"created_at": "2026-04-15T12:00:00Z",
"estimated_cost": 1,
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"input_text_redacted": "example",
"model": "example",
"output_text_redacted": "example",
"task_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"workspace_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}